PLaSK library

Loading...
Searching...
No Matches
Public Types | Static Public Attributes | List of all members
plask::BandEdges Struct Reference

Conduction and valence band edges (eV) More...

`#include <plask/properties/electrical.hpp>`

Inheritance diagram for plask::BandEdges:
[legend]
Collaboration diagram for plask::BandEdges:
[legend]

## Public Types
enum | EnumType { CONDUCTION , VALENCE_HEAVY , VALENCE_LIGHT , SPIN_OFF }
Public Types inherited from plask::MultiFieldProperty< double >
typedef size_t | EnumType
| Default value enumeration type.
Public Types inherited from plask::Property< _propertyType, _ValueType2D, _ValueType3D, _ExtraParams >
typedef _ValueType2D | ValueType2D
| Type of provided value in 2D space.
typedef _ValueType3D | ValueType3D
| Type of provided value in 3D space.
typedef VariadicTemplateTypesHolder< _ExtraParams... > | ExtraParams
| Extra parameters passed as arguments to provider to get value.

## Static Public Attributes
static constexpr size_t | NUM_VALS = 2
static constexpr const char * | NAME = "conduction and valence band edges"
static constexpr const char * | UNIT = "eV"
Static Public Attributes inherited from plask::Property< _propertyType, _ValueType2D, _ValueType3D, _ExtraParams >
static const PropertyType | propertyType = _propertyType
| Type of property.
static constexpr const char * | NAME = PropertyTypeToProviderName<_propertyType>::value
| Name of the property.
static constexpr bool | hasUniqueValueType = false
| `true` only if property use same value type in 2D and 3D space

## Additional Inherited Members
Static Public Member Functions inherited from plask::Property< _propertyType, _ValueType2D, _ValueType3D, _ExtraParams >
static ValueType2D | getDefaultValue2D ()
| Return default value of the property (usually zero) in 2D space.
static ValueType3D | getDefaultValue3D ()
| Return default value of the property (usually zero) in 3D space.

## Detailed Description

Conduction and valence band edges (eV)

Definition at line 86 of file electrical.hpp.

## Member Enumeration Documentation

## ◆ EnumType

enum plask::BandEdges::EnumType

Enumerator
CONDUCTION |
VALENCE_HEAVY |
VALENCE_LIGHT |
SPIN_OFF |

Definition at line 87 of file electrical.hpp.

## Member Data Documentation

## ◆ NAME

constexpr const char * plask::BandEdges::NAME = "conduction and valence band edges"
| static constexpr

Definition at line 94 of file electrical.hpp.

## ◆ NUM_VALS

constexpr size_t plask::BandEdges::NUM_VALS = 2
| static constexpr

Definition at line 93 of file electrical.hpp.

## ◆ UNIT

constexpr const char * plask::BandEdges::UNIT = "eV"
| static constexpr

Definition at line 95 of file electrical.hpp.

The documentation for this struct was generated from the following files:

- plask/properties/electrical.hpp
- plask/properties/names.cpp